package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description sop预警返回结果
 * @Author haoguanghui
 * @date 2024/09/14
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SopWarnMonitorResult {

    @ApiModelProperty(value = "大区经理ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long leadId;

    @ApiModelProperty(value = "大区经理名称")
    private String leadName;

    @ApiModelProperty(value = "人力供应商ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long supplierId;

    @ApiModelProperty(value = "人力供应商名字")
    private String supplierName;

    @ApiModelProperty(value = "区域协调人ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long coordinatorId;

    @ApiModelProperty(value = "区域协调人名称")
    private String coordinatorName;

    @ApiModelProperty(value = "预警总数")
    private Integer total;

    @ApiModelProperty(value = "扫描开始时间预警数")
    private Integer scanStartTimeNum;

    @ApiModelProperty(value = "扫描开始时间预警占比")
    private String scanStarTimeRatio;

    @ApiModelProperty(value = "扫描结束时间预警")
    private Integer scanEndTimeNum;

    @ApiModelProperty(value = "扫描结束时间预警占比")
    private String scanEndTimeRatio;

    @ApiModelProperty(value = "评卷开始时间预警")
    private Integer markStartTimeNum;

    @ApiModelProperty(value = "评卷开始时间预警占比")
    private String markStartTimeRatio;

    @ApiModelProperty(value = "评卷结束时间预警")
    private Integer markEndTimeNum;

    @ApiModelProperty(value = "评卷结束时间预警占比")
    private String markEndTimeRatio;

    public String getLeadName() {
        return leadName;
    }

    public void setLeadName(String leadName) {
        this.leadName = leadName;
    }

    public Long getLeadId() {
        return leadId;
    }

    public void setLeadId(Long leadId) {
        this.leadId = leadId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Long getCoordinatorId() {
        return coordinatorId;
    }

    public void setCoordinatorId(Long coordinatorId) {
        this.coordinatorId = coordinatorId;
    }

    public String getCoordinatorName() {
        return coordinatorName;
    }

    public void setCoordinatorName(String coordinatorName) {
        this.coordinatorName = coordinatorName;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Integer getScanStartTimeNum() {
        return scanStartTimeNum;
    }

    public void setScanStartTimeNum(Integer scanStartTimeNum) {
        this.scanStartTimeNum = scanStartTimeNum;
    }

    public String getScanStarTimeRatio() {
        return scanStarTimeRatio;
    }

    public void setScanStarTimeRatio(String scanStarTimeRatio) {
        this.scanStarTimeRatio = scanStarTimeRatio;
    }

    public Integer getScanEndTimeNum() {
        return scanEndTimeNum;
    }

    public void setScanEndTimeNum(Integer scanEndTimeNum) {
        this.scanEndTimeNum = scanEndTimeNum;
    }

    public String getScanEndTimeRatio() {
        return scanEndTimeRatio;
    }

    public void setScanEndTimeRatio(String scanEndTimeRatio) {
        this.scanEndTimeRatio = scanEndTimeRatio;
    }

    public Integer getMarkStartTimeNum() {
        return markStartTimeNum;
    }

    public void setMarkStartTimeNum(Integer markStartTimeNum) {
        this.markStartTimeNum = markStartTimeNum;
    }

    public String getMarkStartTimeRatio() {
        return markStartTimeRatio;
    }

    public void setMarkStartTimeRatio(String markStartTimeRatio) {
        this.markStartTimeRatio = markStartTimeRatio;
    }

    public Integer getMarkEndTimeNum() {
        return markEndTimeNum;
    }

    public void setMarkEndTimeNum(Integer markEndTimeNum) {
        this.markEndTimeNum = markEndTimeNum;
    }

    public String getMarkEndTimeRatio() {
        return markEndTimeRatio;
    }

    public void setMarkEndTimeRatio(String markEndTimeRatio) {
        this.markEndTimeRatio = markEndTimeRatio;
    }
}
